package cn.iocoder.yudao.module.order.convert.approval;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.approval.*;
import cn.iocoder.yudao.module.order.dal.dataobject.approval.OrderApprovalDO;

/**
 * 订单审核 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderApprovalConvert {
    /*****转换MapStruct*****/
    OrderApprovalConvert INSTANCE = Mappers.getMapper(OrderApprovalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderApprovalDO convert(OrderApprovalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderApprovalDO convert(OrderApprovalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderApprovalBackVO convert(OrderApprovalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderApprovalBackVO> convertList(List<OrderApprovalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderApprovalBackVO> convertPage(PageResult<OrderApprovalDO> page);
}
