package cn.iocoder.yudao.module.order.vo.orderControlLog;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单控货日志 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 订单控货日志 Response VO")
public class OrderControlLogBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ExcelProperty("请求地址")
    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ApiModelProperty("控货日志类型key值：1 新增控货 2 更新控货 3 转移控货 4 放货 5 放货复核 6 放货取消  7 放货修改申请 8 放货反复核申请 " +
            "9 被调货申请 10 调货申请 11 取消放货申请 12 放货修改失败 13 放货反复核失败 14 被调货失败 15 调货失败 16 取消放货失败 17 放货修改通过" +
            "18 放货反复核通过 19 调货审批通过 20 被调货审批通过 21 取消放货审批通过")
    private Integer typeKey;

    @ExcelProperty("变更类型")
    @ApiModelProperty(value = "变更类型")
    private String type;

    @ApiModelProperty(value = "变更类型英文")
    private String typeEn;

    @ApiModelProperty(value = "变更类型法文")
    private String typeFr;

    @ExcelProperty("变更描述")
    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ApiModelProperty(value = "变更描述英文")
    private String msgEn;

    @ApiModelProperty(value = "变更描述法文")
    private String msgFr;

    @ExcelProperty("操作人类型：1 会员 2 管理员")
    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @ExcelProperty("创建者名称")
    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty("审核ID")
    private Long approvalId;
}
