package cn.iocoder.yudao.module.order.vo.orderWarehouseIn;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@ApiModel("管理后台 - 入仓货物详情更新 Request VO")
@Data
@EqualsAndHashCode
@ToString(callSuper = true)
public class OrderWarehouseInUpdateReqVO {


    @ApiModelProperty(value = "入仓货物-id", required = true)
    @NotNull(message = "入仓货物id不能为空")
    private Long id;

    @ApiModelProperty(value = "入仓货物-箱/件数", required = true)
    @NotNull(message = "箱/件数不能为空")
    private Integer cartonsNum;

    @ApiModelProperty(value = "入仓货物-所有箱内总货物数量")
    private Integer quantityAll;

    @ApiModelProperty(value = "入仓规格类型")
    private Integer specificationType;

    @ApiModelProperty(value = "入仓货物-单位", required = true)
    @NotNull(message = "单位不能为空")
    private String unit;

    @ApiModelProperty(value = "入仓货物-箱规")
    private String boxGauge;

    @ApiModelProperty(value = "入仓货物-体积")
    private java.math.BigDecimal volume;

    @ApiModelProperty(value = "入仓货物-重量")
    private java.math.BigDecimal weight;

    @ApiModelProperty(value = "入仓货物-快递单号")
    private String expressNo;


    @ApiModelProperty(value = "订单项-商品ID")
    private Long prodId;

    @ApiModelProperty(value = "订单项-产品类型")
    private Integer prodType;

    @ApiModelProperty(value = "订单项-产品中文标题")
    private String prodTitleZh;

    @ApiModelProperty(value = "订单项-产品英文标题")
    private String prodTitleEn;

    @ApiModelProperty(value = "订单项-品牌")
    private String brand;

    @ApiModelProperty(value = "订单项-0 无牌 1 有牌 2 中性", required = true)
    @NotNull(message = "0 无牌 1 有牌 2 中性不能为空")
    private Integer brandType;

    @ApiModelProperty(value = "费用模式：无牌价0，有牌价1，中性品牌价2")
    // @NotBlank(message = "费用模式不能为空")
    private Integer feeType;

    @ApiModelProperty(value = "订单项-商品特性(可选多个特性ID)")
    private String prodAttrIds;

    @ApiModelProperty(value = "订单项-材质")
    private String material;


}
